Index: dll/cpl/desk/CMakeLists.txt
===================================================================
--- dll/cpl/desk/CMakeLists.txt	(revisión: 73020)
+++ dll/cpl/desk/CMakeLists.txt	(copia de trabajo)
@@ -34,6 +34,6 @@
 
 set_module_type(desk cpl UNICODE)
 target_link_libraries(desk uuid)
-add_importlibs(desk user32 advapi32 gdi32 comctl32 comdlg32 ole32 setupapi shell32 shlwapi uxtheme gdiplus msvcrt kernel32 ntdll)
+add_importlibs(desk user32 advapi32 gdi32 comctl32 comdlg32 ole32 msimg32 setupapi shell32 shlwapi uxtheme gdiplus msvcrt kernel32 ntdll)
 add_pch(desk desk.h SOURCE)
 add_cd_file(TARGET desk DESTINATION reactos/system32 FOR all)
Index: dll/cpl/desk/appearance.h
===================================================================
--- dll/cpl/desk/appearance.h	(revisión: 73020)
+++ dll/cpl/desk/appearance.h	(copia de trabajo)
@@ -47,10 +47,11 @@
     BOOL bTooltipAnimation;
     BOOL bTooltipFade;
     BOOL bCursorShadow;
+    BOOL bDropShadow;
     BOOL bUiEffects;
     BOOL bFontSmoothing;
+    UINT uiFontSmoothingType;
     BOOL bDragFullWindows;
-    UINT uiFontSmoothingType;
 } EFFECTS;
 
 typedef struct
Index: dll/cpl/desk/desk.h
===================================================================
--- dll/cpl/desk/desk.h	(revisión: 73020)
+++ dll/cpl/desk/desk.h	(copia de trabajo)
@@ -120,7 +120,7 @@
 INT_PTR CALLBACK
 AdvGeneralPageProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
 
-LONG 
+LONG
 RegLoadMUIStringW(IN HKEY hKey,
                   IN LPCWSTR pszValue  OPTIONAL,
                   OUT LPWSTR pszOutBuf,
Index: dll/cpl/desk/effappdlg.c
===================================================================
--- dll/cpl/desk/effappdlg.c	(revisión: 73020)
+++ dll/cpl/desk/effappdlg.c	(copia de trabajo)
@@ -4,8 +4,8 @@
  * FILE:            dll/cpl/desk/effappdlg.c
  * PURPOSE:         Effects appearance dialog
  *
- * PROGRAMMER:      Jan Roeloffzen (jroeloffzen[at]hotmail[dot]com)
- *
+ * PROGRAMMERS:     Jan Roeloffzen             (jroeloffzen[at]hotmail[dot]com)
+ *                  Ismael Ferreras Morezuelas (swyterzone+reactos@gmail.com)
  */
 
 #include "desk.h"
@@ -15,32 +15,53 @@
 UpdateControls(HWND hwndDlg, GLOBALS *g)
 {
     WPARAM state;
-    state = SendDlgItemMessage(hwndDlg, IDC_EFFAPPEARANCE_ANIMATION, BM_GETCHECK, 0, 0);
-    g->SchemeAdv.Effects.bMenuAnimation = (state == BST_CHECKED) ? TRUE : FALSE;
-    EnableWindow(GetDlgItem(hwndDlg, IDC_EFFAPPEARANCE_ANIMATIONTYPE), g->SchemeAdv.Effects.bMenuAnimation);
 
-    // A boolean as an index for a 2-value list:
-    SendDlgItemMessage(hwndDlg, IDC_EFFAPPEARANCE_ANIMATIONTYPE, CB_SETCURSEL, (WPARAM)g->SchemeAdv.Effects.bMenuFade, 0);
+#define SAVE_CHECKBOX(__CONTROL_ID, __MEMBER)                                 \
+    state = SendDlgItemMessage(hwndDlg, __CONTROL_ID, BM_GETCHECK, 0, 0);     \
+    g->SchemeAdv.Effects.__MEMBER = (state == BST_CHECKED) ? TRUE : FALSE;    \
+                                                                              \
+    if (__CONTROL_ID == IDC_EFFAPPEARANCE_KEYBOARDCUES)                       \
+      g->SchemeAdv.Effects.__MEMBER = (state == BST_CHECKED) ? FALSE : TRUE;
 
-    state = SendDlgItemMessage(hwndDlg, IDC_EFFAPPEARANCE_KEYBOARDCUES, BM_GETCHECK, 0, 0);
-    g->SchemeAdv.Effects.bKeyboardCues = (state == BST_CHECKED) ? TRUE : FALSE;
-    state = SendDlgItemMessage(hwndDlg, IDC_EFFAPPEARANCE_DRAGFULLWINDOWS, BM_GETCHECK, 0, 0);
-    g->SchemeAdv.Effects.bDragFullWindows = (state == BST_CHECKED) ? TRUE : FALSE;
+#define RSET_COMBOBOX(__CONTROL_ID, __PARENT_MEMBER, __MEMBER)                                         \
+    SendDlgItemMessage(hwndDlg, __CONTROL_ID, CB_SETCURSEL, (WPARAM)g->SchemeAdv.Effects.__MEMBER, 0); \
+    EnableWindow(GetDlgItem(hwndDlg, __CONTROL_ID), g->SchemeAdv.Effects.__PARENT_MEMBER);
+
+    /* Animated menu transitions section (checkbox + combo) */
+    SAVE_CHECKBOX(IDC_EFFAPPEARANCE_ANIMATION,       bMenuAnimation);
+    RSET_COMBOBOX(IDC_EFFAPPEARANCE_ANIMATIONTYPE,   bMenuAnimation, bMenuFade);
+
+    /* Font antialiasing section (checkbox + combo) */
+    SAVE_CHECKBOX(IDC_EFFAPPEARANCE_SMOOTHING,       bFontSmoothing);
+    RSET_COMBOBOX(IDC_EFFAPPEARANCE_SMOOTHINGTYPE,   bFontSmoothing, uiFontSmoothingType - 1);
+
+    /* Sundry checkboxes */
+    SAVE_CHECKBOX(IDC_EFFAPPEARANCE_SETDROPSHADOW,   bDropShadow);
+    SAVE_CHECKBOX(IDC_EFFAPPEARANCE_DRAGFULLWINDOWS, bDragFullWindows);
+    SAVE_CHECKBOX(IDC_EFFAPPEARANCE_KEYBOARDCUES,    bKeyboardCues);
+
+#undef SAVE_CHECKBOX
+#undef RSET_COMBOBOX
+
     g->bSchemeChanged = TRUE;
+
 }
 
-
 static VOID
 SaveCurrentValues(HWND hwndDlg, GLOBALS *g)
 {
+    /* The settings get saved at the end of ApplyScheme() in theme.c,
+       when clicking Apply in the main dialog. */
 }
 
 static VOID
-AddToCombo(HWND hwndDlg, INT From, INT To, INT Combo)
+AddToCombobox(INT Combo, HWND hwndDlg, INT From, INT To)
 {
-    INT iElement, iListIndex, i=0;
+    INT iElement, iListIndex, i = 0;
     TCHAR tstrText[80];
 
+    if (Combo == IDC_EFFAPPEARANCE_SMOOTHINGTYPE) i = 1;
+
     for (iElement = From; iElement<=To; iElement++)
     {
         LoadString(hApplet, iElement, (LPTSTR)tstrText, 80);
@@ -49,7 +70,7 @@
     }
 }
 
-/* Initialize the effects appearance dialog */
+/* Initialize the effects appearance dialog from the scheme populated in LoadCurrentScheme(), in theme.c */
 static VOID
 EffAppearanceDlg_Init(HWND hwndDlg, GLOBALS *g)
 {
@@ -58,27 +79,39 @@
     /* Copy the current theme values */
     g->SchemeAdv = g->Scheme;
 
-    AddToCombo(hwndDlg, IDS_SLIDEEFFECT, IDS_FADEEFFECT, IDC_EFFAPPEARANCE_ANIMATIONTYPE);
+#define INIT_CHECKBOX(__CONTROL_ID, __MEMBER)                                 \
+    state = (g->SchemeAdv.Effects.__MEMBER) ? BST_CHECKED : BST_UNCHECKED;    \
+                                                                              \
+    if (__CONTROL_ID == IDC_EFFAPPEARANCE_KEYBOARDCUES)                       \
+      state = (g->SchemeAdv.Effects.__MEMBER) ?  BST_UNCHECKED : BST_CHECKED; \
+                                                                              \
+    SendDlgItemMessage(hwndDlg, __CONTROL_ID, BM_SETCHECK, state, 0);
 
-    state = g->SchemeAdv.Effects.bMenuAnimation ? BST_CHECKED : BST_UNCHECKED;
-    SendDlgItemMessage(hwndDlg, IDC_EFFAPPEARANCE_ANIMATION, BM_SETCHECK, state, 0);
+#define FILL_COMBOBOX(__CONTROL_ID, __FIRST_STR, __LAST_STR)                  \
+    AddToCombobox(__CONTROL_ID, hwndDlg, __FIRST_STR,  __LAST_STR);
 
-    state = g->SchemeAdv.Effects.bKeyboardCues ? BST_CHECKED : BST_UNCHECKED;
-    SendDlgItemMessage(hwndDlg, IDC_EFFAPPEARANCE_KEYBOARDCUES, BM_SETCHECK, state, 0);
+    /* Animated menu transitions section (checkbox + combo) */
+    INIT_CHECKBOX(IDC_EFFAPPEARANCE_ANIMATION,       bMenuAnimation);
+    FILL_COMBOBOX(IDC_EFFAPPEARANCE_ANIMATIONTYPE,   IDS_SLIDEEFFECT,
+                                                     IDS_FADEEFFECT);
 
-    state = g->SchemeAdv.Effects.bDragFullWindows ? BST_CHECKED : BST_UNCHECKED;
-    SendDlgItemMessage(hwndDlg, IDC_EFFAPPEARANCE_DRAGFULLWINDOWS, BM_SETCHECK, state, 0);
+    /* Font antialiasing section (checkbox + combo) */
+    INIT_CHECKBOX(IDC_EFFAPPEARANCE_SMOOTHING,       bFontSmoothing);
+    FILL_COMBOBOX(IDC_EFFAPPEARANCE_SMOOTHINGTYPE,   IDS_STANDARDEFFECT,
+                                                     IDS_CLEARTYPEEFFECT);
 
+    /* Sundry checkboxes */
+    INIT_CHECKBOX(IDC_EFFAPPEARANCE_SETDROPSHADOW,   bDropShadow);
+    INIT_CHECKBOX(IDC_EFFAPPEARANCE_DRAGFULLWINDOWS, bDragFullWindows);
+    INIT_CHECKBOX(IDC_EFFAPPEARANCE_KEYBOARDCUES,    bKeyboardCues);
+
+#undef INIT_CHECKBOX
+#undef FILL_COMBOBOX
+
     /* Update the controls */
     UpdateControls(hwndDlg, g);
 }
 
-
-static VOID
-EffAppearanceDlg_CleanUp(HWND hwndDlg, GLOBALS* g)
-{
-}
-
 INT_PTR CALLBACK
 EffAppearanceDlgProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
 {
@@ -95,7 +128,6 @@
             break;
 
         case WM_DESTROY:
-            EffAppearanceDlg_CleanUp(hwndDlg, g);
             break;
 
         case WM_COMMAND:
@@ -112,8 +144,10 @@
                     break;
 
                 case IDC_EFFAPPEARANCE_ANIMATION:
+                case IDC_EFFAPPEARANCE_SMOOTHING:
+                case IDC_EFFAPPEARANCE_SETDROPSHADOW:
+                case IDC_EFFAPPEARANCE_DRAGFULLWINDOWS:
                 case IDC_EFFAPPEARANCE_KEYBOARDCUES:
-                case IDC_EFFAPPEARANCE_DRAGFULLWINDOWS:
                     if (HIWORD(wParam) == BN_CLICKED)
                     {
                         UpdateControls(hwndDlg, g);
@@ -121,10 +155,14 @@
                     break;
 
                 case IDC_EFFAPPEARANCE_ANIMATIONTYPE:
+                case IDC_EFFAPPEARANCE_SMOOTHINGTYPE:
                     if (HIWORD(wParam) == CBN_SELCHANGE)
                     {
-                        SaveCurrentValues(hwndDlg, g);
-                        g->SchemeAdv.Effects.bMenuFade = SendDlgItemMessage(hwndDlg, IDC_EFFAPPEARANCE_ANIMATIONTYPE, CB_GETCURSEL, 0, 0);
+                        INT fontTypeIndex = SendDlgItemMessage(hwndDlg, IDC_EFFAPPEARANCE_SMOOTHINGTYPE, CB_GETCURSEL, 0, 0);
+
+                        g->SchemeAdv.Effects.bMenuFade           = SendDlgItemMessage(hwndDlg, IDC_EFFAPPEARANCE_ANIMATIONTYPE, CB_GETCURSEL,               0, 0);
+                        g->SchemeAdv.Effects.uiFontSmoothingType = SendDlgItemMessage(hwndDlg, IDC_EFFAPPEARANCE_SMOOTHINGTYPE, CB_GETITEMDATA, fontTypeIndex, 0);
+
                         UpdateControls(hwndDlg, g);
                     }
                     break;
Index: dll/cpl/desk/lang/bg-BG.rc
===================================================================
--- dll/cpl/desk/lang/bg-BG.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/bg-BG.rc	(copia de trabajo)
@@ -95,16 +95,16 @@
 BEGIN
     CONTROL "Из&ползване на следните преходни ефекти за изборниците и подсказките",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "&Използване на следния похват за изглаждане ръбовете на екранните шрифтове", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Използван&е на големи значета", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Изобразяване на &сенки под изборницте", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Показване на съдържанието на &прозорците по време на влачене", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "С&криване на подчертаването за клавиатурното насочване, до натискане на Alt",
@@ -178,7 +178,7 @@
 STRINGTABLE
 BEGIN
     IDS_STANDARDEFFECT "Обичаен"
-    IDS_CLEARTYPEEFFECT "Изчистен"
+    IDS_CLEARTYPEEFFECT "FreeType Antialised"
 END
 
 STRINGTABLE
Index: dll/cpl/desk/lang/cs-CZ.rc
===================================================================
--- dll/cpl/desk/lang/cs-CZ.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/cs-CZ.rc	(copia de trabajo)
@@ -101,16 +101,16 @@
 BEGIN
     CONTROL "Použít následující &efekt přechodu pro nabídky a popisky",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "Použít následující metodu vyhlazování &hran obrazovkových písem", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Použít velké &ikony", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Zobrazovat &stíny pod nabídkami", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Zobrazovat &obsah okna během přesouvání", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Nezobrazovat podtržení písmen u klávesových zkratek, dokud nestisknu klávesu Alt",
@@ -184,7 +184,7 @@
 STRINGTABLE
 BEGIN
     IDS_STANDARDEFFECT "Standardní"
-    IDS_CLEARTYPEEFFECT "ClearType"
+    IDS_CLEARTYPEEFFECT "FreeType Antialised"
 END
 
 STRINGTABLE
Index: dll/cpl/desk/lang/de-DE.rc
===================================================================
--- dll/cpl/desk/lang/de-DE.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/de-DE.rc	(copia de trabajo)
@@ -95,16 +95,16 @@
 BEGIN
     CONTROL "&Verwende folgenden Übergangseffekt für Menüs und Tooltips",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "V&erwende folgende Kantenglättungsmethode für Bildschirmschriften", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Ve&rwende große Icons", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Zeige Menüsch&atten", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Zeige &Fensterinhalt beim Verschieben", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "Ver&stecke Unterstrich der Tastaturnavigation bis zum Druck der Alt-Taste",
@@ -178,7 +178,7 @@
 STRINGTABLE
 BEGIN
     IDS_STANDARDEFFECT "Standard"
-    IDS_CLEARTYPEEFFECT "ClearType"
+    IDS_CLEARTYPEEFFECT "FreeType Antialised"
 END
 
 STRINGTABLE
Index: dll/cpl/desk/lang/el-GR.rc
===================================================================
--- dll/cpl/desk/lang/el-GR.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/el-GR.rc	(copia de trabajo)
@@ -95,16 +95,16 @@
 BEGIN
     CONTROL "&Use the following transition effect for menus and tooltips",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "U&se the following method to smooth edges of screen fonts", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Us&e large icons", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Show sh&adows under menus", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Show &window contents while dragging", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Hide underlined letters for keyboard navigation until I press the Alt key",
@@ -178,7 +178,7 @@
 STRINGTABLE
 BEGIN
     IDS_STANDARDEFFECT "Standard"
-    IDS_CLEARTYPEEFFECT "ClearType"
+    IDS_CLEARTYPEEFFECT "FreeType Antialised"
 END
 
 STRINGTABLE
Index: dll/cpl/desk/lang/en-US.rc
===================================================================
--- dll/cpl/desk/lang/en-US.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/en-US.rc	(copia de trabajo)
@@ -95,16 +95,16 @@
 BEGIN
     CONTROL "&Use the following transition effect for menus and tooltips",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "U&se the following method to smooth edges of screen fonts", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "Us&e large icons", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Show sh&adows under menus", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Show &window contents while dragging", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Hide underlined letters for keyboard navigation until I press the Alt key",
@@ -178,7 +178,7 @@
 STRINGTABLE
 BEGIN
     IDS_STANDARDEFFECT "Standard"
-    IDS_CLEARTYPEEFFECT "ClearType"
+    IDS_CLEARTYPEEFFECT "FreeType Antialised"
 END
 
 STRINGTABLE
Index: dll/cpl/desk/lang/es-ES.rc
===================================================================
--- dll/cpl/desk/lang/es-ES.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/es-ES.rc	(copia de trabajo)
@@ -97,16 +97,16 @@
 BEGIN
     CONTROL "&Animar transiciones de menús y sugerencias emergentes",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "U&sar el siguiente método para suavizar los bordes de las fuentes de pantalla", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Usar i&conos grandes", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Mostrar som&bras bajo los menús", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "&Mostrar el contenido de la ventana mientras se arrastra", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Ocultar el subrayado de acceso rápido hasta presionar la tecla Alt",
@@ -180,7 +180,7 @@
 STRINGTABLE
 BEGIN
     IDS_STANDARDEFFECT "Estándar"
-    IDS_CLEARTYPEEFFECT "ClearType"
+    IDS_CLEARTYPEEFFECT "Suavizado de FreeType"
 END
 
 STRINGTABLE
Index: dll/cpl/desk/lang/fr-FR.rc
===================================================================
--- dll/cpl/desk/lang/fr-FR.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/fr-FR.rc	(copia de trabajo)
@@ -97,16 +97,16 @@
 BEGIN
     CONTROL "&Utilisez l'effet de transition suivant pour les menus et les bulles d'aides",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "U&tilisez la méthode suivante pour aplanir les bords des polices d'écran", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Uti&liser de grandes icones", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "&Montrer ombrage sous les menus", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Montrer contenu des fenêtres lorsqu'elles sont bougés", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Cacher les lettres soulignées pour la navigation du clavier jusqu'à ce que j'appuie sur la touche Alt",
Index: dll/cpl/desk/lang/he-IL.rc
===================================================================
--- dll/cpl/desk/lang/he-IL.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/he-IL.rc	(copia de trabajo)
@@ -95,16 +95,16 @@
 BEGIN
     CONTROL "&Use the following transition effect for menus and tooltips",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "U&se the following method to smooth edges of screen fonts", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "השתמש בסמלים גדולים", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Show sh&adows under menus", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Show &window contents while dragging", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Hide underlined letters for keyboard navigation until I press the Alt key",
Index: dll/cpl/desk/lang/hu-HU.rc
===================================================================
--- dll/cpl/desk/lang/hu-HU.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/hu-HU.rc	(copia de trabajo)
@@ -97,16 +97,16 @@
 BEGIN
     CONTROL "&Use the following transition effect for menus and tooltips",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "U&se the following method to smooth edges of screen fonts", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Us&e large icons", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Show sh&adows under menus", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Show &window contents while dragging", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Hide underlined letters for keyboard navigation until I press the Alt key",
Index: dll/cpl/desk/lang/id-ID.rc
===================================================================
--- dll/cpl/desk/lang/id-ID.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/id-ID.rc	(copia de trabajo)
@@ -95,16 +95,16 @@
 BEGIN
     CONTROL "&Use the following transition effect for menus and tooltips",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "U&se the following method to smooth edges of screen fonts", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Us&e large icons", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Show sh&adows under menus", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Show &window contents while dragging", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Hide underlined letters for keyboard navigation until I press the Alt key",
Index: dll/cpl/desk/lang/it-IT.rc
===================================================================
--- dll/cpl/desk/lang/it-IT.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/it-IT.rc	(copia de trabajo)
@@ -95,16 +95,16 @@
 BEGIN
     CONTROL "&Usare il seguente effetto per le transizioni in menu e tooltip",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "U&sare il seguente metodo per arrotondare i bordi dei font per lo schermo", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Usare le icone grandi", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "&Ombreggiatura sotto i menu", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Mostrare il contenuto delle finestr mentre le si trascina", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Nascondere la sottolineatura delle lettere di navigazione finche non è premuto il tasto Alt",
Index: dll/cpl/desk/lang/ja-JP.rc
===================================================================
--- dll/cpl/desk/lang/ja-JP.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/ja-JP.rc	(copia de trabajo)
@@ -95,16 +95,16 @@
 BEGIN
     CONTROL "次のアニメーション効果をメニューとツール チップに使用する(&U):",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "次の方法でスクリーン フォントの縁を滑らかにする(&S):", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "大きいアイコンを使用する(&E)", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "メニューの下に影を表示する(&A)", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "ドラッグ中にウィンドウの内容を表示する(&W)", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "Alt キーを押すまでキーボード ナビゲーションの下線を隠しておく(&H)",
Index: dll/cpl/desk/lang/nl-NL.rc
===================================================================
--- dll/cpl/desk/lang/nl-NL.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/nl-NL.rc	(copia de trabajo)
@@ -95,16 +95,16 @@
 BEGIN
     CONTROL "De volgende overgangseffecten voor men&u's en knopinfo gebruiken",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "Randen van letter&s vloeiend op het scherm weergeven, en wel als volgt", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "&Grote pictogrammen gebruiken", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Sch&aduw onder menu's weergeven", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "De in&houd van het venster tijdens het slepen weergeven", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "Onderstreepte letters voor toetsenbordnavigatie &verbergen tot ALT wordt ingedrukt",
Index: dll/cpl/desk/lang/no-NO.rc
===================================================================
--- dll/cpl/desk/lang/no-NO.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/no-NO.rc	(copia de trabajo)
@@ -95,16 +95,16 @@
 BEGIN
     CONTROL "&Bruk følgende overgang effekter for menyer og verktøytips",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "B&ruk følgende metode for kantutjevning av skjerm skifter", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Br&uk store ikoner", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Vis sk&ygger under menyer", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Vis &vindu innholdet ved flytting", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Skjul visning av understrekning for tastatur hurtigtast til jeg trykker på Alt tasten",
Index: dll/cpl/desk/lang/pl-PL.rc
===================================================================
--- dll/cpl/desk/lang/pl-PL.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/pl-PL.rc	(copia de trabajo)
@@ -104,16 +104,16 @@
 BEGIN
     CONTROL "&Użyj następującego efektu przejścia dla menu i etykiet narzędzi:",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "Użyj n&astępującej metody wygładzania krawędzi czcionek ekranowych:", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Użyj &dużych ikon", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "&Pokaż cienie pod menu", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Pokaż &zawartość okna podczas przeciągania", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "Ukryj podkreślenie liter do nawigacji &klawiaturą, dopóki nie nacisnę klawisza Alt",
Index: dll/cpl/desk/lang/pt-BR.rc
===================================================================
--- dll/cpl/desk/lang/pt-BR.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/pt-BR.rc	(copia de trabajo)
@@ -95,16 +95,16 @@
 BEGIN
     CONTROL "&Usar este efeito de transição para menus e dicas de ferramenta:",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "U&sar este método para suavizar as bordas das fontes de tela:", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Usar íco&nes grandes", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Mostr&ar sombras sob menus", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "&Mostrar conteúdo da janela ao arrastar", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Ocultar sublinhados para navegação do teclado até eu pressionar a tecla Alt",
Index: dll/cpl/desk/lang/ro-RO.rc
===================================================================
--- dll/cpl/desk/lang/ro-RO.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/ro-RO.rc	(copia de trabajo)
@@ -100,16 +100,16 @@
 BEGIN
     CONTROL "Aplică &efect de tranziție pentru meniuri și ponturi:",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "&Rotunjește marginile de text folosind metoda:", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "&Pictograme mari", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Afișează &umbre sub meniuri", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Afișează ferestrele și în timpul &mișcării lor", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Amână sublinierea literelor navigării din tastatură până la apăsarea tastei «Alt»",
Index: dll/cpl/desk/lang/ru-RU.rc
===================================================================
--- dll/cpl/desk/lang/ru-RU.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/ru-RU.rc	(copia de trabajo)
@@ -95,16 +95,16 @@
 BEGIN
     CONTROL "&Применять следующий переходный эффект для меню и подсказок",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "Пр&именять следующий метод сглаживания для экранных шрифтов", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Применять &крупные значки", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Отображать &тени, отбрасываемые меню", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "&Отображать содержимое окна при перетаскивании", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "Скр&ывать указатели вызова с клавиатуры до нажатия <Alt>",
Index: dll/cpl/desk/lang/sk-SK.rc
===================================================================
--- dll/cpl/desk/lang/sk-SK.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/sk-SK.rc	(copia de trabajo)
@@ -97,16 +97,16 @@
 BEGIN
     CONTROL "&Používať nasledovný efekt prechodu pre ponuky a názvy tlačidiel",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "Po&užívať nasledovnú metódu vyhladenia okrajov zobrazeného písma", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Používať &veľké ikony", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "&Zobrazovať tiene pod ponukami", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Zobrazovať &obsah okna počas presúvania", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Skrývať podčiarknuté písmená (klávesové skratky) až do stlačenia klávesu Alt",
Index: dll/cpl/desk/lang/sq-AL.rc
===================================================================
--- dll/cpl/desk/lang/sq-AL.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/sq-AL.rc	(copia de trabajo)
@@ -99,16 +99,16 @@
 BEGIN
     CONTROL "&Përdorni efektin e mëposhtme tranzicionit për menutë dhe ndihmesa",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "Përdor metodën e mëposhtme për të zbutë skajet e fonts ekran", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Përdor ikona të mëdha", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Shfaq hije poshte menus", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Shfaq &përmbajtjen dritare ndërsa zvarritet", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "Fsheh gërma të nënvizuara për kërkimin e tastierës deri sa të shtypni butonin Alt",
Index: dll/cpl/desk/lang/sv-SE.rc
===================================================================
--- dll/cpl/desk/lang/sv-SE.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/sv-SE.rc	(copia de trabajo)
@@ -97,16 +97,16 @@
 BEGIN
     CONTROL "&Use the following transition effect for menus and tooltips",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "U&se the following method to smooth edges of screen fonts", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Us&e large icons", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Show sh&adows under menus", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Show &window contents while dragging", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Hide underlined letters for keyboard navigation until I press the Alt key",
Index: dll/cpl/desk/lang/tr-TR.rc
===================================================================
--- dll/cpl/desk/lang/tr-TR.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/tr-TR.rc	(copia de trabajo)
@@ -97,16 +97,16 @@
 BEGIN
     CONTROL "&Araç İpuçları ve Seçkeler İçin Aşağıdaki Geçiş Etkisi Kullan:",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "&Görüntülük Yazı Tiplerinin Kıyılarını Yumuşatmak İçin Aşağıdaki Yöntemi Kullan:", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "&Büyük Simgeler Kullan", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "&Seçkeler Altında Gölge Göster", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "S&ürüklerken Pencere İçeriğini Göster", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "S&eçenek Düğmesine Basana Dek Düğme Takımıyla Gezinme İçin Altı Çizili Harfleri Gizle",
Index: dll/cpl/desk/lang/uk-UA.rc
===================================================================
--- dll/cpl/desk/lang/uk-UA.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/uk-UA.rc	(copia de trabajo)
@@ -103,16 +103,16 @@
 BEGIN
     CONTROL "&Застосовувати наступний перехідний ефект для меню та підказок",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "З&астосовувати наступний метод згладжування для екранних шрифтів", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "Застосовувати &великі значки", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "Відображати тіні від меню", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "Показати &вміст вікна під час перетягування", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "&Приховувати покажчики виклику з клавіатури до натиснення <Alt>",
@@ -186,7 +186,7 @@
 STRINGTABLE
 BEGIN
     IDS_STANDARDEFFECT "Звичайний"
-    IDS_CLEARTYPEEFFECT "Відкритий тип"
+    IDS_CLEARTYPEEFFECT "FreeType Antialised"
 END
 
 STRINGTABLE
Index: dll/cpl/desk/lang/zh-CN.rc
===================================================================
--- dll/cpl/desk/lang/zh-CN.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/zh-CN.rc	(copia de trabajo)
@@ -102,16 +102,16 @@
 BEGIN
     CONTROL "为菜单和工具提示使用以下过渡效果(&U):",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "使用下列方式使屏幕字体的边缘平滑(&S)", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "使用大图标(&E)", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "在菜单下显示阴影(&A)", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "拖动时显示窗口内容(&W)", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "直到我按 Alt 键之前，请隐藏有下划线的字母供键盘使用",
@@ -185,7 +185,7 @@
 STRINGTABLE
 BEGIN
     IDS_STANDARDEFFECT "标准"
-    IDS_CLEARTYPEEFFECT "清晰字体"
+    IDS_CLEARTYPEEFFECT "FreeType Antialised"
 END
 
 STRINGTABLE
Index: dll/cpl/desk/lang/zh-TW.rc
===================================================================
--- dll/cpl/desk/lang/zh-TW.rc	(revisión: 73020)
+++ dll/cpl/desk/lang/zh-TW.rc	(copia de trabajo)
@@ -97,16 +97,16 @@
 BEGIN
     CONTROL "為選單和工具提示使用以下過渡效果(&U):",
             IDC_EFFAPPEARANCE_ANIMATION, "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 5, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 80, 19, CBS_DROPDOWNLIST |
+    COMBOBOX IDC_EFFAPPEARANCE_ANIMATIONTYPE, 20, 25, 95, 19, CBS_DROPDOWNLIST |
              CBS_HASSTRINGS | WS_CHILD | WS_VSCROLL | WS_TABSTOP
     CONTROL "使用下列方式使螢幕字型的邊緣平滑(&S)", IDC_EFFAPPEARANCE_SMOOTHING,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 42, 267, 19
-    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 80, 19, CBS_DROPDOWNLIST |
-             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP | WS_DISABLED
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 42, 267, 19
+    COMBOBOX IDC_EFFAPPEARANCE_SMOOTHINGTYPE, 20, 62, 95, 19, CBS_DROPDOWNLIST |
+             CBS_HASSTRINGS | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     CONTROL "使用大圖示(&E)", IDC_EFFAPPEARANCE_LARGEICONS, "button",
             BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 80, 267, 19
     CONTROL "在選單下顯示陰影(&A)", IDC_EFFAPPEARANCE_SETDROPSHADOW,
-            "button", BS_AUTOCHECKBOX | WS_TABSTOP | WS_DISABLED, 10, 95, 267, 19
+            "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 95, 267, 19
     CONTROL "拖動時顯示視窗內容(&W)", IDC_EFFAPPEARANCE_DRAGFULLWINDOWS,
             "button", BS_AUTOCHECKBOX | WS_TABSTOP, 10, 110, 267, 19
     CONTROL "直到我按 Alt 鍵之前，請隱藏有下劃線的字母供鍵盤使用",
@@ -180,7 +180,7 @@
 STRINGTABLE
 BEGIN
     IDS_STANDARDEFFECT "標準"
-    IDS_CLEARTYPEEFFECT "清晰字型"
+    IDS_CLEARTYPEEFFECT "FreeType Antialised"
 END
 
 STRINGTABLE
Index: dll/cpl/desk/theme.c
===================================================================
--- dll/cpl/desk/theme.c	(revisión: 73020)
+++ dll/cpl/desk/theme.c	(copia de trabajo)
@@ -2,9 +2,10 @@
  * COPYRIGHT:       See COPYING in the top level directory
  * PROJECT:         ReactOS Display Control Panel
  * FILE:            dll/cpl/desk/theme.c
- * PURPOSE:         Handling themes
+ * PURPOSE:         Handling themes and visual effects
  *
  * PROGRAMMERS:     Katayama Hirofumi MZ <katayama.hirofumi.mz@gmail.com>
+ *                  Ismael Ferreras Morezuelas (swyterzone+reactos@gmail.com)
  */
 
 #include "desk.h"
@@ -58,7 +59,7 @@
 
 /******************************************************************************/
 
-VOID 
+VOID
 SchemeSetMetric(IN COLOR_SCHEME *scheme, int id, int value)
 {
     switch(id)
@@ -78,7 +79,7 @@
     }
 }
 
-int 
+int
 SchemeGetMetric(IN COLOR_SCHEME *scheme, int id)
 {
     switch (id)
@@ -86,12 +87,12 @@
         case SIZE_BORDER_WIDTH: return scheme->ncMetrics.iBorderWidth;
         case SIZE_SCROLL_WIDTH: return scheme->ncMetrics.iScrollWidth;
         case SIZE_SCROLL_HEIGHT: return scheme->ncMetrics.iScrollHeight;
-        case SIZE_CAPTION_WIDTH: return scheme->ncMetrics.iCaptionWidth; 
-        case SIZE_CAPTION_HEIGHT: return scheme->ncMetrics.iCaptionHeight; 
-        case SIZE_SM_CAPTION_WIDTH: return scheme->ncMetrics.iSmCaptionWidth; 
-        case SIZE_SM_CAPTION_HEIGHT: return scheme->ncMetrics.iSmCaptionHeight; 
-        case SIZE_MENU_WIDTH: return scheme->ncMetrics.iMenuWidth; 
-        case SIZE_MENU_HEIGHT: return scheme->ncMetrics.iMenuHeight; 
+        case SIZE_CAPTION_WIDTH: return scheme->ncMetrics.iCaptionWidth;
+        case SIZE_CAPTION_HEIGHT: return scheme->ncMetrics.iCaptionHeight;
+        case SIZE_SM_CAPTION_WIDTH: return scheme->ncMetrics.iSmCaptionWidth;
+        case SIZE_SM_CAPTION_HEIGHT: return scheme->ncMetrics.iSmCaptionHeight;
+        case SIZE_MENU_WIDTH: return scheme->ncMetrics.iMenuWidth;
+        case SIZE_MENU_HEIGHT: return scheme->ncMetrics.iMenuHeight;
         case SIZE_ICON: return scheme->iIconSize;
         case SIZE_ICON_SPACE_X: return scheme->icMetrics.iHorzSpacing;
         case SIZE_ICON_SPACE_Y: return scheme->icMetrics.iVertSpacing;
@@ -132,38 +133,38 @@
 
     /* Load non client metrics */
     scheme->ncMetrics.cbSize = sizeof(NONCLIENTMETRICSW);
-    ret = SystemParametersInfoW(SPI_GETNONCLIENTMETRICS, 
-                                sizeof(NONCLIENTMETRICSW), 
-                                &scheme->ncMetrics, 
+    ret = SystemParametersInfoW(SPI_GETNONCLIENTMETRICS,
+                                sizeof(NONCLIENTMETRICSW),
+                                &scheme->ncMetrics,
                                 0);
     if (!ret) return FALSE;
 
     /* Load icon metrics */
     scheme->icMetrics.cbSize = sizeof(ICONMETRICSW);
-    ret = SystemParametersInfoW(SPI_GETICONMETRICS, 
-                                sizeof(ICONMETRICSW), 
-                                &scheme->icMetrics, 
+    ret = SystemParametersInfoW(SPI_GETICONMETRICS,
+                                sizeof(ICONMETRICSW),
+                                &scheme->icMetrics,
                                 0);
     if (!ret) return FALSE;
 
     /* Load flat menu style */
-    ret = SystemParametersInfoW(SPI_GETFLATMENU, 
-                                0, 
-                                &scheme->bFlatMenus, 
+    ret = SystemParametersInfoW(SPI_GETFLATMENU,
+                                0,
+                                &scheme->bFlatMenus,
                                 0);
     if (!ret) return FALSE;
 
     /* Effects */
-    /* "Use the following transition effect for menus and tooltips" */
-    ret = SystemParametersInfoW(SPI_GETMENUANIMATION, 
-                                0, 
-                                &scheme->Effects.bMenuAnimation, 
+    /* Use the following transition effect for menus and tooltips */
+    ret = SystemParametersInfoW(SPI_GETMENUANIMATION,
+                                0,
+                                &scheme->Effects.bMenuAnimation,
                                 0);
     if (!ret) return FALSE;
 
-    ret = SystemParametersInfoW(SPI_GETMENUFADE, 
-                                0, 
-                                &scheme->Effects.bMenuFade, 
+    ret = SystemParametersInfoW(SPI_GETMENUFADE,
+                                0,
+                                &scheme->Effects.bMenuFade,
                                 0);
     if (!ret) return FALSE;
 
@@ -173,17 +174,38 @@
     scheme->Effects.bTooltipAnimation  = scheme->Effects.bMenuAnimation;
     scheme->Effects.bTooltipFade       = scheme->Effects.bMenuFade;
 
+
+    /* "Use the following transition effect for menus and tooltips" */
+    ret = SystemParametersInfoW(SPI_GETFONTSMOOTHING,
+                                0,
+                                &scheme->Effects.bFontSmoothing,
+                                0);
+    if (!ret) return FALSE;
+
+    ret = SystemParametersInfoW(SPI_GETFONTSMOOTHINGTYPE,
+                                0,
+                                &scheme->Effects.uiFontSmoothingType,
+                                0);
+    if (!ret) return FALSE;
+
+    /* Show shadows under menus */
+    ret = SystemParametersInfoW(SPI_GETDROPSHADOW,
+                                0,
+                                &scheme->Effects.bDropShadow,
+                                0);
+    if (!ret) return FALSE;
+
     /* Show content of windows during dragging */
-    ret = SystemParametersInfoW(SPI_GETDRAGFULLWINDOWS, 
-                                0, 
-                                &scheme->Effects.bDragFullWindows, 
+    ret = SystemParametersInfoW(SPI_GETDRAGFULLWINDOWS,
+                                0,
+                                &scheme->Effects.bDragFullWindows,
                                 0);
     if (!ret) return FALSE;
 
-    /* "Hide underlined letters for keyboard navigation until I press the Alt key" */
-    ret = SystemParametersInfoW(SPI_GETKEYBOARDCUES, 
-                                0, 
-                                &scheme->Effects.bKeyboardCues, 
+    /* Hide underlined letters for keyboard navigation until I press the Alt key */
+    ret = SystemParametersInfoW(SPI_GETKEYBOARDCUES,
+                                0,
+                                &scheme->Effects.bKeyboardCues,
                                 0);
     if (!ret) return FALSE;
 
@@ -199,7 +221,7 @@
 }
 
 /*
- * LoadSchemeFromReg: Populates the passed scheme with values retireved from registry 
+ * LoadSchemeFromReg: Populates the passed scheme with values retireved from registry
  */
 BOOL
 LoadSchemeFromReg(OUT COLOR_SCHEME *scheme, IN PTHEME_SELECTION pSelectedTheme)
@@ -212,9 +234,9 @@
     BOOL Ret = TRUE;
     LONG result;
 
-    wsprintf(strSchemeKey, L"%s\\%s\\Sizes\\%s", 
-             g_CPANewSchemes, 
-             pSelectedTheme->Color->StyleName, 
+    wsprintf(strSchemeKey, L"%s\\%s\\Sizes\\%s",
+             g_CPANewSchemes,
+             pSelectedTheme->Color->StyleName,
              pSelectedTheme->Size->StyleName);
 
     result = RegOpenKeyW(HKEY_CURRENT_USER, strSchemeKey, &hkScheme);
@@ -226,11 +248,11 @@
     {
         wsprintf(strValueName, L"Color #%d", i);
         dwLength = sizeof(COLORREF);
-        result = RegQueryValueExW(hkScheme, 
-                                  strValueName, 
-                                  NULL, 
-                                  &dwType, 
-                                  (LPBYTE)&scheme->crColor[i], 
+        result = RegQueryValueExW(hkScheme,
+                                  strValueName,
+                                  NULL,
+                                  &dwType,
+                                  (LPBYTE)&scheme->crColor[i],
                                   &dwLength);
         if (result != ERROR_SUCCESS || dwType != REG_DWORD)
         {
@@ -245,13 +267,13 @@
 
         wsprintf(strValueName, L"Font #%d", i);
         dwLength = sizeof(LOGFONT);
-        result = RegQueryValueExW(hkScheme, 
-                                  strValueName, 
-                                  NULL, 
-                                  &dwType, 
-                                  (LPBYTE)lpfFont, 
+        result = RegQueryValueExW(hkScheme,
+                                  strValueName,
+                                  NULL,
+                                  &dwType,
+                                  (LPBYTE)lpfFont,
                                   &dwLength);
-        if (result != ERROR_SUCCESS || dwType != REG_BINARY || 
+        if (result != ERROR_SUCCESS || dwType != REG_BINARY ||
             dwLength != sizeof(LOGFONT))
         {
             /* Failed to read registry value */
@@ -263,13 +285,13 @@
     {
         wsprintf(strValueName, L"Size #%d", i);
         dwLength = sizeof(UINT64);
-        result = RegQueryValueExW(hkScheme, 
-                                  strValueName, 
-                                  NULL, 
-                                  &dwType, 
-                                  (LPBYTE)&iSize, 
+        result = RegQueryValueExW(hkScheme,
+                                  strValueName,
+                                  NULL,
+                                  &dwType,
+                                  (LPBYTE)&iSize,
                                   &dwLength);
-        if (result != ERROR_SUCCESS || dwType != REG_QWORD || 
+        if (result != ERROR_SUCCESS || dwType != REG_QWORD ||
             dwLength != sizeof(UINT64))
         {
             /* Failed to read registry value, initialize with current setting for now */
@@ -281,7 +303,7 @@
     }
 
     RegCloseKey(hkScheme);
-    
+
     return Ret;
 }
 
@@ -307,17 +329,17 @@
     {
         for (i = 0; i < NUM_COLORS; i++)
         {
-            wsprintf(clText, 
-                     L"%d %d %d", 
-                     GetRValue(scheme->crColor[i]), 
-                     GetGValue(scheme->crColor[i]), 
+            wsprintf(clText,
+                     L"%d %d %d",
+                     GetRValue(scheme->crColor[i]),
+                     GetGValue(scheme->crColor[i]),
                      GetBValue(scheme->crColor[i]));
-            
-            RegSetValueExW(hKey, 
-                           g_RegColorNames[i], 
-                           0, 
-                           REG_SZ, 
-                           (BYTE *)clText, 
+
+            RegSetValueExW(hKey,
+                           g_RegColorNames[i],
+                           0,
+                           REG_SZ,
+                           (BYTE *)clText,
                            (lstrlen(clText) + 1) * sizeof(WCHAR));
         }
         RegCloseKey(hKey);
@@ -324,15 +346,15 @@
     }
 
     /* Apply non client metrics */
-    SystemParametersInfoW(SPI_SETNONCLIENTMETRICS, 
-                          sizeof(NONCLIENTMETRICS), 
-                          &scheme->ncMetrics, 
+    SystemParametersInfoW(SPI_SETNONCLIENTMETRICS,
+                          sizeof(NONCLIENTMETRICS),
+                          &scheme->ncMetrics,
                           SPIF_UPDATEINIFILE | SPIF_SENDCHANGE);
 
     /* Apply icon metrics */
-    SystemParametersInfoW(SPI_SETICONMETRICS, 
-                          sizeof(ICONMETRICS), 
-                          &scheme->icMetrics, 
+    SystemParametersInfoW(SPI_SETICONMETRICS,
+                          sizeof(ICONMETRICS),
+                          &scheme->icMetrics,
                           SPIF_UPDATEINIFILE | SPIF_SENDCHANGE);
 
     /* Effects, save only when needed: */
@@ -339,33 +361,65 @@
     /* FIXME: XP seems to use grayed checkboxes to reflect differences between menu and tooltips settings
      * Just keep them in sync for now.
      */
+
+#define SYS_CONFIG(__uiAction, __uiParam, __pvParam) SystemParametersInfo(__uiAction, __uiParam, __pvParam, SPIF_UPDATEINIFILE | SPIF_SENDCHANGE)
+
     scheme->Effects.bTooltipAnimation  = scheme->Effects.bMenuAnimation;
-    scheme->Effects.bTooltipFade = scheme->Effects.bMenuFade;
-    SystemParametersInfoW(SPI_SETDRAGFULLWINDOWS, scheme->Effects.bDragFullWindows, (PVOID)&scheme->Effects.bDragFullWindows, SPIF_SENDCHANGE | SPIF_UPDATEINIFILE);
-    SystemParametersInfoW(SPI_SETKEYBOARDCUES, 0, IntToPtr(scheme->Effects.bKeyboardCues), SPIF_SENDCHANGE | SPIF_UPDATEINIFILE);
-    //SystemParametersInfoW(SPI_SETACTIVEWINDOWTRACKING, 0, (PVOID)&scheme->Effects.bActiveWindowTracking, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
-    //SystemParametersInfoW(SPI_SETMENUANIMATION, 0, (PVOID)&scheme->Effects.bMenuAnimation, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
-    //SystemParametersInfoW(SPI_SETCOMBOBOXANIMATION, 0, (PVOID)&scheme->Effects.bComboBoxAnimation, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
-    //SystemParametersInfoW(SPI_SETLISTBOXSMOOTHSCROLLING, 0, (PVOID)&scheme->Effects.bListBoxSmoothScrolling, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
-    //SystemParametersInfoW(SPI_SETGRADIENTCAPTIONS, 0, (PVOID)&scheme->Effects.bGradientCaptions, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
-    //SystemParametersInfoW(SPI_SETACTIVEWNDTRKZORDER, 0, (PVOID)&scheme->Effects.bActiveWndTrkZorder, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
-    //SystemParametersInfoW(SPI_SETHOTTRACKING, 0, (PVOID)&scheme->Effects.bHotTracking, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
-    SystemParametersInfoW(SPI_SETMENUFADE, 0, (PVOID)&scheme->Effects.bMenuFade, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
-    //SystemParametersInfoW(SPI_SETSELECTIONFADE, 0, (PVOID)&scheme->Effects.bSelectionFade, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
-    SystemParametersInfoW(SPI_SETTOOLTIPANIMATION, 0, (PVOID)&scheme->Effects.bTooltipAnimation, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
-    SystemParametersInfoW(SPI_SETTOOLTIPFADE, 0, (PVOID)&scheme->Effects.bTooltipFade, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
-    //SystemParametersInfoW(SPI_SETCURSORSHADOW, 0, (PVOID)&scheme->Effects.bCursorShadow, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
-    //SystemParametersInfoW(SPI_SETUIEFFECTS, 0, (PVOID)&scheme->Effects.bUiEffects, SPIF_UPDATEINIFILE|SPIF_SENDCHANGE);
+    scheme->Effects.bTooltipFade       = scheme->Effects.bMenuFade;
 
+    /* Use the following transition effect for menus and tooltips */
+    SYS_CONFIG(SPI_SETMENUANIMATION,             0, IntToPtr(scheme->Effects.bMenuAnimation));
+    SYS_CONFIG(SPI_SETMENUFADE,                  0, IntToPtr(scheme->Effects.bMenuFade));
+
+    /* Use the following method to smooth edges of screen fonts */
+    SYS_CONFIG(SPI_SETFONTSMOOTHING,             scheme->Effects.bFontSmoothing, 0);
+    SYS_CONFIG(SPI_SETFONTSMOOTHINGTYPE,         0, IntToPtr(scheme->Effects.uiFontSmoothingType));
+
+    /* Refresh and redraw all the windows, otherwise the font smoothing changes
+       only appear after any future partial region invalidation.
+
+       Not everyone listens for this WM_SETTINGCHANGE, including the shell and most third party programs. */
+
+    InvalidateRect(NULL, NULL, TRUE);
+
+    /* Use large icons */
+    //SYS_CONFIG(SPI_GETDRAGFULLWINDOWS,   (PVOID) g->SchemeAdv.Effects.bMenuFade);
+
+    /* Show shadows under menus */
+    SYS_CONFIG(SPI_SETDROPSHADOW,                0, IntToPtr(scheme->Effects.bDropShadow));
+
+    /* Show window contents while dragging */
+    SYS_CONFIG(SPI_SETDRAGFULLWINDOWS,           scheme->Effects.bDragFullWindows, 0);
+
+    /* (???) SPI_SETDRAGFULLWINDOWS uses uiParam to set the boolean instead of pvParam,
+             because... why not? consistency is overrated */
+
+    /* Hide underlined letters for keyboard navigation until I press the Alt key */
+    SYS_CONFIG(SPI_SETKEYBOARDCUES,              0, IntToPtr(scheme->Effects.bKeyboardCues));
+
+    // SYS_CONFIG(SPI_SETACTIVEWINDOWTRACKING,   0, IntToPtr(scheme->Effects.bActiveWindowTracking));
+    // SYS_CONFIG(SPI_SETCOMBOBOXANIMATION,      0, IntToPtr(scheme->Effects.bComboBoxAnimation));
+    // SYS_CONFIG(SPI_SETLISTBOXSMOOTHSCROLLING, 0, IntToPtr(scheme->Effects.bListBoxSmoothScrolling));
+    // SYS_CONFIG(SPI_SETGRADIENTCAPTIONS,       0, IntToPtr(scheme->Effects.bGradientCaptions));
+    // SYS_CONFIG(SPI_SETACTIVEWNDTRKZORDER,     0, IntToPtr(scheme->Effects.bActiveWndTrkZorder));
+    // SYS_CONFIG(SPI_SETHOTTRACKING,            0, IntToPtr(scheme->Effects.bHotTracking));
+    // SYS_CONFIG(SPI_SETSELECTIONFADE,          0, IntToPtr(scheme->Effects.bSelectionFade));
+    SYS_CONFIG(SPI_SETTOOLTIPANIMATION,          0, IntToPtr(scheme->Effects.bTooltipAnimation));
+    SYS_CONFIG(SPI_SETTOOLTIPFADE,               0, IntToPtr(scheme->Effects.bTooltipFade));
+    // SYS_CONFIG(SPI_SETCURSORSHADOW,           0, IntToPtr(scheme->Effects.bCursorShadow));
+    // SYS_CONFIG(SPI_SETUIEFFECTS,              0, IntToPtr(scheme->Effects.bUiEffects));
+
+#undef SYS_CONFIG
+
     /* Save SchemeId in the registry */
     if (pSelectedTheme->Theme != NULL && pSelectedTheme->ThemeActive == FALSE)
     {
         StyleName = pSelectedTheme->Color->StyleName;
-        SHSetValueW(HKEY_CURRENT_USER, 
+        SHSetValueW(HKEY_CURRENT_USER,
                     g_CPANewSchemes,
-                    g_SelectedStyle, 
-                    REG_SZ, 
-                    StyleName, 
+                    g_SelectedStyle,
+                    REG_SZ,
+                    StyleName,
                     (lstrlenW(StyleName) + 1) * sizeof(WCHAR));
     }
 }
@@ -377,7 +431,7 @@
 
     pTheme = (PTHEME) malloc(sizeof(THEME));
     if (pTheme == NULL) return NULL;
-        
+
     pTheme->DisplayName = _wcsdup(pszDisplayName);
     if (pTheme->DisplayName == NULL)
     {
@@ -402,7 +456,7 @@
         free(pTheme);
         return NULL;
     }
-    
+
     return pTheme;
 }
 
@@ -446,7 +500,7 @@
         if (pStyle->ChildStyle) CleanupStyles(pStyle->ChildStyle);
         if (pStyle->DisplayName) free(pStyle->DisplayName);
         if (pStyle->StyleName) free(pStyle->StyleName);
-        
+
         pStyleOld = pStyle;
         pStyle = pStyle->NextStyle;
         free(pStyleOld);
@@ -472,7 +526,7 @@
     }
 }
 
-static PTHEME_STYLE 
+static PTHEME_STYLE
 FindStyle(IN PTHEME_STYLE pStylesList, IN PCWSTR StyleName)
 {
     PTHEME_STYLE pStyle;
@@ -492,7 +546,7 @@
 /*
  * LoadSchemeSizes: Returns a list of sizes from the registry key of a scheme
  */
-static PTHEME_STYLE 
+static PTHEME_STYLE
 LoadSchemeSizes(IN HKEY hkScheme)
 {
     HKEY hkSizes, hkSize;
@@ -511,25 +565,25 @@
 
         Result = RegOpenKeyW(hkSizes, wstrSizeName, &hkSize);
         if (Result != ERROR_SUCCESS) continue;
-        
-        Result = RegLoadMUIStringW(hkSize, 
-                                   L"DisplayName", 
-                                   wstrDisplayName, 
-                                   sizeof(wstrDisplayName), 
-                                   NULL, 
-                                   0, 
+
+        Result = RegLoadMUIStringW(hkSize,
+                                   L"DisplayName",
+                                   wstrDisplayName,
+                                   sizeof(wstrDisplayName),
+                                   NULL,
+                                   0,
                                    NULL);
         if (Result != ERROR_SUCCESS)
         {
-            Result = RegLoadMUIStringW(hkSize, 
-                                       L"LegacyName", 
-                                       wstrDisplayName, 
-                                       sizeof(wstrDisplayName), 
-                                       NULL, 
-                                       0, 
+            Result = RegLoadMUIStringW(hkSize,
+                                       L"LegacyName",
+                                       wstrDisplayName,
+                                       sizeof(wstrDisplayName),
+                                       NULL,
+                                       0,
                                        NULL);
         }
-        
+
         if (Result == ERROR_SUCCESS)
             pCurrentStyle = CreateStyle(wstrSizeName, wstrDisplayName);
         else
@@ -551,7 +605,7 @@
 /*
     LoadClassicColorSchemes: Returns a list of classic theme colours from the registry key of a scheme
 */
-static THEME_STYLE* 
+static THEME_STYLE*
 LoadClassicColorSchemes(VOID)
 {
     INT Result;
@@ -570,22 +624,22 @@
 
         Result = RegOpenKeyW(hkNewSchemes, wstrStyleName,  &hkScheme);
         if (Result != ERROR_SUCCESS) continue;
-        
-        Result = RegLoadMUIStringW(hkScheme, 
+
+        Result = RegLoadMUIStringW(hkScheme,
                                    L"DisplayName",
-                                   wstrDisplayName, 
-                                   sizeof(wstrDisplayName), 
-                                   NULL, 
-                                   0, 
+                                   wstrDisplayName,
+                                   sizeof(wstrDisplayName),
+                                   NULL,
+                                   0,
                                    NULL);
         if (Result != ERROR_SUCCESS)
         {
-            Result = RegLoadMUIStringW(hkScheme, 
-                                       L"LegacyName", 
-                                       wstrDisplayName, 
-                                       sizeof(wstrDisplayName), 
-                                       NULL, 
-                                       0, 
+            Result = RegLoadMUIStringW(hkScheme,
+                                       L"LegacyName",
+                                       wstrDisplayName,
+                                       sizeof(wstrDisplayName),
+                                       NULL,
+                                       0,
                                        NULL);
         }
 
@@ -613,7 +667,7 @@
 
 typedef HRESULT (WINAPI *ENUMTHEMESTYLE) (LPCWSTR, LPWSTR, DWORD, PTHEMENAMES);
 
-static THEME_STYLE* 
+static THEME_STYLE*
 EnumThemeStyles(IN LPCWSTR pszThemeFileName, IN ENUMTHEMESTYLE pfnEnumTheme)
 {
     DWORD index = 0;
@@ -634,11 +688,11 @@
     return List;
 }
 
-BOOL CALLBACK 
-EnumThemeProc(IN LPVOID lpReserved, 
+BOOL CALLBACK
+EnumThemeProc(IN LPVOID lpReserved,
               IN LPCWSTR pszThemeFileName,
-              IN LPCWSTR pszThemeName, 
-              IN LPCWSTR pszToolTip, 
+              IN LPCWSTR pszThemeName,
+              IN LPCWSTR pszToolTip,
               IN LPVOID lpReserved2,
               IN OUT LPVOID lpData)
 {
@@ -663,8 +717,8 @@
     return TRUE;
 }
 
-/* 
-    LoadThemes: Returns a list that contains tha classic theme and 
+/*
+    LoadThemes: Returns a list that contains tha classic theme and
                  the visual styles of the system
 */
 PTHEME
@@ -705,9 +759,9 @@
     return pClassicTheme;
 }
 
-/* 
- *  GetActiveTheme: Gets the active theme and populates pSelectedTheme 
- *                   with entries from the list of loaded themes 
+/*
+ *  GetActiveTheme: Gets the active theme and populates pSelectedTheme
+ *                   with entries from the list of loaded themes
  */
 BOOL
 GetActiveTheme(IN PTHEME pThemeList, OUT PTHEME_SELECTION pSelectedTheme)
@@ -717,21 +771,21 @@
     WCHAR szSizeBuff[MAX_PATH];
     PTHEME pTheme;
     HRESULT hret;
-    
+
     ZeroMemory(pSelectedTheme, sizeof(THEME_SELECTION));
 
     /* Retrieve the name of the current theme */
-    hret = GetCurrentThemeName(szThemeFileName, 
-                               MAX_PATH, 
-                               szColorBuff, 
-                               MAX_PATH, 
-                               szSizeBuff, 
+    hret = GetCurrentThemeName(szThemeFileName,
+                               MAX_PATH,
+                               szColorBuff,
+                               MAX_PATH,
+                               szSizeBuff,
                                MAX_PATH);
     if (FAILED(hret))  return FALSE;
 
     for (pTheme = pThemeList; pTheme; pTheme = pTheme->NextTheme)
     {
-        if(pTheme->ThemeFileName && 
+        if(pTheme->ThemeFileName &&
            _wcsicmp(pTheme->ThemeFileName, szThemeFileName) == 0)
         {
             break;
@@ -748,9 +802,9 @@
     return TRUE;
 }
 
-/* 
-    GetActiveTheme: Gets the active classic theme and populates pSelectedTheme 
-                    with entries from the list of loaded themes 
+/*
+    GetActiveTheme: Gets the active classic theme and populates pSelectedTheme
+                    with entries from the list of loaded themes
 */
 BOOL
 GetActiveClassicTheme(IN PTHEME pThemeList, OUT PTHEME_SELECTION pSelectedTheme)
@@ -762,7 +816,7 @@
     PTHEME_STYLE pCurrentStyle, pCurrentSize;
 
     ZeroMemory(pSelectedTheme, sizeof(THEME_SELECTION));
-    
+
     /* Assume failure */
     szSelectedClassicScheme[0] = 0;
     szSelectedClassicSize[0] = 0;
@@ -772,7 +826,7 @@
 
     dwType = REG_SZ;
     dwDisplayNameLength = sizeof(szSelectedClassicScheme);
-    Result = RegQueryValueEx(hkNewSchemes, L"SelectedStyle", NULL, &dwType, 
+    Result = RegQueryValueEx(hkNewSchemes, L"SelectedStyle", NULL, &dwType,
                              (LPBYTE)&szSelectedClassicScheme, &dwDisplayNameLength);
     if (Result == ERROR_SUCCESS)
     {
@@ -802,10 +856,10 @@
 
     if (pSelectedTheme->ThemeActive)
     {
-        hret = OpenThemeFile(pSelectedTheme->Theme->ThemeFileName, 
-                             pSelectedTheme->Color->StyleName, 
-                             pSelectedTheme->Size->StyleName, 
-                             &hThemeFile, 
+        hret = OpenThemeFile(pSelectedTheme->Theme->ThemeFileName,
+                             pSelectedTheme->Color->StyleName,
+                             pSelectedTheme->Size->StyleName,
+                             &hThemeFile,
                              0);
 
         if (!SUCCEEDED(hret)) return FALSE;
@@ -829,14 +883,14 @@
     HTHEME hTheme;
     int i;
 
-    hret = OpenThemeFile(pSelectedTheme->Theme->ThemeFileName, 
-                         pSelectedTheme->Color->StyleName, 
-                         pSelectedTheme->Size->StyleName, 
-                         &hThemeFile, 
+    hret = OpenThemeFile(pSelectedTheme->Theme->ThemeFileName,
+                         pSelectedTheme->Color->StyleName,
+                         pSelectedTheme->Size->StyleName,
+                         &hThemeFile,
                          0);
 
     if (!SUCCEEDED(hret)) return FALSE;
-  
+
     hTheme = OpenThemeDataFromFile(hThemeFile, hCPLWindow, L"WINDOW", 0);
     if (hTheme == NULL) return FALSE;
 
@@ -865,7 +919,7 @@
     GetThemeSysFont(hTheme, TMT_STATUSFONT, &scheme->ncMetrics.lfStatusFont);
     GetThemeSysFont(hTheme, TMT_MSGBOXFONT, &scheme->ncMetrics.lfMessageFont);
     GetThemeSysFont(hTheme, TMT_ICONTITLEFONT, &scheme->icMetrics.lfFont);
-    
+
     CloseThemeData(hTheme);
 
     return TRUE;
@@ -884,13 +938,13 @@
 
     InflateRect(prcWindow, -10, -10);
 
-    hres = DrawNCPreview(hdcMem, 
+    hres = DrawNCPreview(hdcMem,
                          DNCP_DRAW_ALL,
                          prcWindow,
-                         pSelectedTheme->Theme->ThemeFileName, 
-                         pSelectedTheme->Color->StyleName, 
-                         pSelectedTheme->Size->StyleName, 
-                         &scheme->ncMetrics, 
+                         pSelectedTheme->Theme->ThemeFileName,
+                         pSelectedTheme->Color->StyleName,
+                         pSelectedTheme->Size->StyleName,
+                         &scheme->ncMetrics,
                          scheme->crColor);
 
     return SUCCEEDED(hres);
